summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/memchan/README7
-rw-r--r--development/memchan/memchan.SlackBuild86
-rw-r--r--development/memchan/memchan.info10
-rw-r--r--development/memchan/slack-desc19
4 files changed, 122 insertions, 0 deletions
diff --git a/development/memchan/README b/development/memchan/README
new file mode 100644
index 0000000000..c3537d44e7
--- /dev/null
+++ b/development/memchan/README
@@ -0,0 +1,7 @@
+Memchan provides several new channel types for in-memory channels and the
+appropriate commands for their creation. They are useful to transfer large
+amounts of data between procedures or interpreters, and additionally
+provide an easy interface to on-the-fly generation of code or data
+too. No need to [set] or [append] to a string, just do a simple [puts].
+
+This requires tcllib.
diff --git a/development/memchan/memchan.SlackBuild b/development/memchan/memchan.SlackBuild
new file mode 100644
index 0000000000..ad9675d0a5
--- /dev/null
+++ b/development/memchan/memchan.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for Memchan
+
+# Written by Zbigniew Baniewski, zb@ispid.com.pl
+
+PRGNAM=memchan
+VERSION=2.3
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=Memchan
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCNAM}${VERSION}
+tar xvf $CWD/${SRCNAM}${VERSION}.tar.gz
+cd ${SRCNAM}${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-tcl=/usr/lib${LIBDIRSUFFIX} \
+ --with-tclinclude=/usr/include \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README ChangeLog doc/license.terms \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/memchan/memchan.info b/development/memchan/memchan.info
new file mode 100644
index 0000000000..c5e27a5d2d
--- /dev/null
+++ b/development/memchan/memchan.info
@@ -0,0 +1,10 @@
+PRGNAM="memchan"
+VERSION="2.3"
+HOMEPAGE="http://memchan.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/memchan/Memchan2.3.tar.gz"
+MD5SUM="d06525638370bfd7eb21b529135d930b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="zb@ispid.com.pl"
+APPROVED="Niels Horn"
diff --git a/development/memchan/slack-desc b/development/memchan/slack-desc
new file mode 100644
index 0000000000..ab0e80820c
--- /dev/null
+++ b/development/memchan/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+memchan: memchan (Tcl in-memory channel extension library)
+memchan:
+memchan: Memchan provides several new channel types for in-memory channels and
+memchan: the appropriate commands for their creation. They are useful to
+memchan: transfer large amounts of data between procedures or interpreters, and
+memchan: additionally provide an easy interface to on-the-fly generation of
+memchan: code or data too. No need to [set] or [append] to a string, just do a
+memchan: simple [puts].
+memchan:
+memchan: http://memchan.sourceforge.net/
+memchan: